package it.mokabyte.pattern.ejb.entity;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;
import it.mokabyte.pattern.valueobject.AccountOM;

/**
 * <p>Title: Account.java</p>
 * <p>Description: Remote interface of the AccountBean</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */


public interface Account extends EJBObject {

    public String getName() throws RemoteException;
    public double getBalance() throws RemoteException;
    public String getEmail() throws RemoteException;
    public void   setName(String param)throws RemoteException;
    public void   setBalance(double param)throws RemoteException;
    public void   setEmail(String param) throws RemoteException;
    public AccountOM getAccount()throws RemoteException;
}
